PMEMBLK_BSIZE(3)

NAME

pmemblk_bsize(), pmemblk_nblock() – check number of available blocks or usable space in block memory pool

SYNOPSIS

    #include <libpmemblk.h>
    size_t pmemblk_bsize(PMEMblkpool *pbp);
    size_t pmemblk_nblock(PMEMblkpool *pbp);

DESCRIPTION

The pmemblk_bsize() function returns the block size of the specified block memory pool, that is, the value which was passed as bsize to pmemblk_create(). pbp must be a block memory pool handle as returned by pmemblk_open(3) or pmemblk_create(3).

The pmemblk_nblock() function returns the usable space in the block memory pool. pbp must be a block memory pool handle as returned by pmemblk_open(3) or pmemblk_create(3).

RETURN VALUE

The pmemblk_bsize() function returns the block size of the specified block memory pool.

The pmemblk_nblock() function returns the usable space in the block memory pool, expressed as the number of blocks available.

SEE ALSO

pmemblk_create(3), pmemblk_open(3), libpmemblk(7) and <http://pmem.io>